<template>
  <div id="ORC" class="green-gradient-secondary py-10">
    <section class="container py-10 mx-auto">
      <div class="mx-auto md:w-max">
        <p class="text-xl font-bold text-center text-white md:text-3xl">
          How Receipt OCR Works
        </p>
        <div class="flex justify-around mx-auto mt-10 lg:w-9/12">
          <div
            class="
              relative
              flex flex-col
              justify-start
              text-sm text-center text-white
            "
          >
            <img :src="mobile" class="mb-1" />
            <p class="font-semibold">Mobile</p>
            <p class="font-light">(Veryfi Lens)</p>
            <img :src="line_mobile" class="absolute" id="line-mobile" />
          </div>
          <div
            class="
              relative
              flex flex-col
              justify-start
              text-sm text-center text-white
            "
          >
            <img :src="api" class="mb-1" />
            <p class="font-semibold">Direct to API</p>
            <p class="font-light">SDK & Code</p>
            <img :src="line_api" class="absolute" id="line-api" />
          </div>
          <div
            class="
              relative
              flex flex-col
              justify-start
              text-sm text-center text-white
            "
          >
            <img :src="mail" class="mb-1" />
            <p class="font-semibold">Email</p>
            <img :src="line_mail" class="absolute" id="line-mail" />
          </div>
        </div>
        <div id="haft-gear" class="relative mx-auto mt-20 w-max">
          <img :src="haft_circle" />
          <img :src="gear" class="absolute" id="gear-center" />
        </div>
        <div
          id="wrapper"
          class="
            flex
            p-3
            mx-auto
            space-x-4
            border-4 border-white
            rounded-lg
            w-max
          "
        >
          <div id="API-wrapper">
            <div
              class="
                relative
                flex
                items-center
                justify-center
                h-full
                bg-white
                rounded-lg
                w-25px
                md:w-40px
              "
            >
              <div
                class="text-sm font-semibold whitespace-nowrap md:text-lg"
                id="gate-way"
              >
                API GATEWAY
              </div>
            </div>
          </div>
          <div
            class="
              flex flex-col
              lg:flex-row lg:space-x-4
              space-y-3
              lg:space-y-0
            "
          >
            <div class="relative flex flex-col flex-1" id="TRANSFORMATION">
              <p class="font-semibold text-center text-white text-tiny">
                TRANSFORMATION
              </p>
              <div
                class="
                  flex flex-col
                  h-full
                  p-5
                  mt-3
                  text-xs
                  bg-white
                  rounded-lg
                  md:text-sm
                "
              >
                <div class="flex flex-col items-center justify-center flex-1">
                  <img :src="eye" />
                  <p class="mt-2 font-semibold">OCR & ICR</p>
                  <p class="font-light">(Character Recognition)</p>
                </div>
                <div class="flex flex-col items-center justify-center flex-1">
                  <img :src="box" />
                  <p class="mt-2 font-semibold">NLP</p>
                  <p class="font-light text-center">
                    (Natural Language Processing)
                  </p>
                </div>
              </div>
            </div>
            <div class="relative flex flex-col flex-1" id="INTERLLIGENCE">
              <p class="font-semibold text-center text-white text-tiny">
                INTERLLIGENCE
              </p>
              <div
                class="
                  flex flex-col
                  h-full
                  p-5
                  mt-3
                  text-xs
                  bg-white
                  rounded-lg
                  md:text-sm
                "
              >
                <div class="flex flex-col items-center justify-center flex-1">
                  <img :src="atom" />
                  <p class="mt-2 font-semibold">Graph Neural Network</p>
                </div>
                <div class="flex flex-col items-center justify-center flex-1">
                  <img :src="metrix" />
                  <p class="mt-2 font-semibold">Convolutions</p>
                </div>
              </div>
            </div>
            <div class="relative flex flex-col flex-1" id="ENRICHMENT">
              <p class="font-semibold text-center text-white text-tiny">
                ENRICHMENT
              </p>
              <div
                class="
                  flex flex-col
                  h-full
                  p-5
                  mt-3
                  text-sm
                  bg-white
                  rounded-lg
                "
              >
                <div id="line" class="w-full my-3 border-blue-400 border-b-1" />
                <ul class="text-xs font-light list-disc list-inside">
                  <li>Tax Categorization</li>
                  <li>Handwriting Recognition</li>
                  <li>Duplicate Detection</li>
                  <li>SKULine item Expansion</li>
                  <li>Business Id Lookup</li>
                  <li>Vendor Verification</li>
                  <li>Currency Detection</li>
                  <li>Logo to Vendor Detect</li>
                  <li>
                    If This Then That<br />
                    Data Transformations
                  </li>
                </ul>
                <div id="line" class="w-full mt-5 border-blue-400 border-b-1" />
              </div>
            </div>
          </div>
        </div>
        <div
          id="under"
          class="py-5 mt-5 border-2 border-white border-dashed rounded-sm"
        >
          <p class="pb-5 font-semibold text-center text-white text-tiny">
            SUPPORTED INPUT FORMATS
          </p>
          <div class="flex w-5/12 mx-auto">
            <div
              v-for="(input, index) in suppirted_input"
              :key="index"
              class="flex justify-center flex-1"
            >
              <img :src="input" />
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  data() {
    return {
      mobile: require("~/assets/images/receipt/mobile.svg"),
      line_api: require("~/assets/images/receipt/line_api.svg"),
      line_mail: require("~/assets/images/receipt/line_mail.svg"),
      line_mobile: require("~/assets/images/receipt/line_mobile.svg"),
      api: require("~/assets/images/receipt/api.svg"),
      mail: require("~/assets/images/receipt/mail.svg"),
      gate_way: require("~/assets/images/receipt/gate_way.png"),
      box: require("~/assets/images/receipt/box.png"),
      eye: require("~/assets/images/receipt/eye.png"),
      atom: require("~/assets/images/receipt/atom.png"),
      metrix: require("~/assets/images/receipt/metrix.png"),
      haft_circle: require("~/assets/images/receipt/haft_circle.png"),
      gear: require("~/assets/images/receipt/gear.png"),
      suppirted_input: [
        require("~/assets/images/receipt/input_pdf.png"),
        require("~/assets/images/receipt/input_image.png"),
        require("~/assets/images/receipt/input_html.png"),
        require("~/assets/images/receipt/input_mail.png"),
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
#gate-way {
  transform: rotate(-90deg);
}

#gear-center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
#line-api {
  bottom: -50%;
  left: 50%;
}
#line-mail {
  bottom: -60%;
  left: -50%;
  @media screen and (max-width: 1025px) {
    left: -30%;
  }
}
#line-mobile {
  bottom: -60%;
  left: 100%;
  @media screen and (max-width: 1025px) {
    left: 50%;
  }
  @media screen and (max-width: 768px) {
    left: 40%;
  }
}
</style>
